[underline.html?1-1000]
  expected:
    if (os == "android") and fission: [OK, TIMEOUT]
  [[["stylewithcss","true"\],["underline",""\]\] "<span>[foo</span> <span>bar\]</span>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<span>[foo</span> <span>bar\]</span>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<span>[foo</span> <span>bar\]</span>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<p>[foo</p><p> <span>bar</span> </p><p>baz\]</p>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<p>[foo</p><p> <span>bar</span> </p><p>baz\]</p>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<p>[foo</p><p> <span>bar</span> </p><p>baz\]</p>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["underline",""\]\] "<span>foo[</span><span>\]bar</span>" queryCommandState("underline") after]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table>" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}" queryCommandIndeterm("underline") before]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<u>foo[bar\]baz</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<u>foo[b<span style=\\"color:blue\\">ar\]ba</span>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<u>foo[b<span style=\\"color:blue\\">ar\]ba</span>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<u>foo[b<span style=\\"color:blue\\" id=foo>ar\]ba</span>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<u>foo[b<span style=\\"color:blue\\" id=foo>ar\]ba</span>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<u>foo[b<span style=\\"font-size:3em\\">ar\]ba</span>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<u>foo[b<span style=\\"font-size:3em\\">ar\]ba</span>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<u>foo[b<i>ar\]ba</i>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<u>foo[b<i>ar\]ba</i>z</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<p style=\\"text-decoration: underline\\">foo[bar\]baz</p>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<p style=\\"text-decoration: underline\\">foo[bar\]baz</p>" queryCommandState("underline") after]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<p style=\\"text-decoration: underline\\">foo[bar\]baz</p>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "<p style=\\"text-decoration: underline\\">foo[bar\]baz</p>" queryCommandState("underline") after]
    expected: FAIL


[underline.html?1001-2000]
  [[["stylewithcss","false"\],["underline",""\]\] "foo<strike>[bar\]</strike>baz" queryCommandState("underline") after]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo<span style=\\"text-decoration: underline line-through\\">b[a\]r</span>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "foo<span style=\\"text-decoration: underline line-through\\">b[a\]r</span>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo<s style=\\"text-decoration: underline\\">[bar\]</s>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "foo<s style=\\"text-decoration: underline\\">[bar\]</s>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo<s style=\\"text-decoration: underline\\">b[a\]r</s>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "foo<s style=\\"text-decoration: underline\\">b[a\]r</s>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo<u style=\\"text-decoration: line-through\\">[bar\]</u>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "foo<u style=\\"text-decoration: line-through\\">[bar\]</u>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo<u style=\\"text-decoration: overline\\">[bar\]</u>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["underline",""\]\] "foo<u style=\\"text-decoration: overline\\">[bar\]</u>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo[<u>b\]ar</u>baz" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo<u>ba[r</u>\]baz" compare innerHTML]
    expected: FAIL


[underline.html?2001-last]
  [[["stylewithcss","false"\],["underline",""\]\] "foo<u>[bar\]</u>baz" queryCommandState("stylewithcss") before]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "foo<u>[bar\]</u>baz" queryCommandState("underline") after]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<ins>fo[o</ins><u>b\]ar</u>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["underline",""\]\] "<u>fo[o</u><ins>b\]ar</ins>" compare innerHTML]
    expected: FAIL
